Subject: Re: [PATCH v6 4/7] refs: add support for transactional symref updates

From: Phillip Wood <[email-masked]>
Date: Mon, 6 May 2024 10:54:56 +0100

Hi Karthik

On 05/05/2024 17:09, Karthik Nayak wrote:
> Phillip Wood <[email-masked]> writes:
>> I'm slightly concerned that splitting out the update-ref changes means
>> we don't have any test coverage of the new code beyond the part that is
>> used by refs_create_symref()
>>
> 
> This is definitely true. But I also caught a bunch of edge cases this
> way because the tests which indirectly use 'refs_create_symref()' are
> quite intensive.

I forgot to say in my last mail that this is good to know. So it sounds 
like the only new code that isn't being exercised by the tests is the 
check for the old value?

Best Wishes

Phillip